diff --git a/src/responder/nss/nsssrv_cmd.c b/src/responder/nss/nsssrv_cmd.c
index 7220e3a..16557e1 100644
--- a/src/responder/nss/nsssrv_cmd.c
+++ b/src/responder/nss/nsssrv_cmd.c
@@ -3886,11 +3886,11 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
 
         /* One result found */
         if (cmdctx->cmd == SSS_NSS_GETSIDBYID) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Returning info for id [%d@%s]\n",
-                                     cmdctx->id, dom->name));
+            DEBUG(SSSDBG_TRACE_FUNC, "Returning info for id [%d@%s]\n",
+                                     cmdctx->id, dom->name);
         } else {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Returning info for user/group [%s@%s]\n",
-                                      name, dom->name));
+            DEBUG(SSSDBG_TRACE_FUNC, "Returning info for user/group [%s@%s]\n",
+                                      name, dom->name);
         }
 
         /* Success. Break from the loop and return EOK */
@@ -3905,21 +3905,21 @@ done:
         /* The entry was not found, need to set result in negative cache */
         if (cmdctx->cmd == SSS_NSS_GETSIDBYID) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                ("No matching domain found for [%d], fail!\n", cmdctx->id));
+                "No matching domain found for [%d], fail!\n", cmdctx->id);
             err = sss_ncache_set_uid(nctx->ncache, false, cmdctx->id);
             if (err != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                    ("Cannot set negative cache for UID %d\n", cmdctx->id));
+                    "Cannot set negative cache for UID %d\n", cmdctx->id);
             }
 
             err = sss_ncache_set_gid(nctx->ncache, false, cmdctx->id);
             if (err != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                    ("Cannot set negative cache for GID %d\n", cmdctx->id));
+                    "Cannot set negative cache for GID %d\n", cmdctx->id);
             }
         } else {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("No matching domain found for [%s], fail!\n", cmdctx->name));
+                  "No matching domain found for [%s], fail!\n", cmdctx->name);
         }
     }
     return ret;
@@ -3936,37 +3936,37 @@ static errno_t nss_cmd_getbysid_search(struct nss_dom_ctx *dctx)
 
     nctx = talloc_get_type(cctx->rctx->pvt_ctx, struct nss_ctx);
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Requesting info for [%s@%s]\n", cmdctx->secid,
-                                                               dom->name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Requesting info for [%s@%s]\n", cmdctx->secid,
+                                                               dom->name);
 
     sysdb = dom->sysdb;
     if (sysdb == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Fatal: Sysdb CTX not found for this " \
-                                     "domain!\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Fatal: Sysdb CTX not found for this " \
+                                     "domain!\n");
         return EIO;
     }
 
     ret = sysdb_search_object_by_sid(cmdctx, sysdb, dom, cmdctx->secid, NULL,
                                      &dctx->res);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to make request to our cache!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to make request to our cache!\n");
         return EIO;
     }
 
     if (dctx->res->count > 1) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("getbysid call returned more than one " \
-                                     "result !?!\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "getbysid call returned more than one " \
+                                     "result !?!\n");
         return ENOENT;
     }
 
     if (dctx->res->count == 0 && !dctx->check_provider) {
-        DEBUG(2, ("No results for getbysid call.\n"));
+        DEBUG(2, "No results for getbysid call.\n");
 
         /* set negative cache only if not result of cache check */
         ret = sss_ncache_set_sid(nctx->ncache, false, cmdctx->secid);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Cannot set negative cache for %s\n", cmdctx->secid));
+                  "Cannot set negative cache for %s\n", cmdctx->secid);
         }
 
         return ENOENT;
@@ -3988,8 +3988,8 @@ static errno_t nss_cmd_getbysid_search(struct nss_dom_ctx *dctx)
     }
 
     /* One result found */
-    DEBUG(SSSDBG_TRACE_FUNC, ("Returning info for sid [%s@%s]\n", cmdctx->secid,
-                                                                  dom->name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Returning info for sid [%s@%s]\n", cmdctx->secid,
+                                                                  dom->name);
 
     return EOK;
 }
@@ -4004,7 +4004,7 @@ static errno_t find_sss_id_type(struct ldb_message *msg,
 
     el = ldb_msg_find_element(msg, SYSDB_OBJECTCLASS);
     if (el == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Objectclass attribute not found.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Objectclass attribute not found.\n");
         return EINVAL;
     }
 
@@ -4041,7 +4041,7 @@ static errno_t fill_sid(struct sss_packet *packet,
 
     sid_str = ldb_msg_find_attr_as_string(msg, SYSDB_SID_STR, NULL);
     if (sid_str == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Missing SID.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Missing SID.\n");
         return EINVAL;
     }
 
@@ -4049,7 +4049,7 @@ static errno_t fill_sid(struct sss_packet *packet,
 
     ret = sss_packet_grow(packet, sid.len +  3* sizeof(uint32_t));
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_packet_grow failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_packet_grow failed.\n");
         return ret;
     }
 
@@ -4079,19 +4079,19 @@ static errno_t fill_name(struct sss_packet *packet,
 
     orig_name = ldb_msg_find_attr_as_string(msg, SYSDB_NAME, NULL);
     if (orig_name == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Missing name.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Missing name.\n");
         return EINVAL;
     }
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_new failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_new failed.\n");
         return ENOMEM;
     }
 
     cased_name= sss_get_cased_name(tmp_ctx, orig_name, dom->case_sensitive);
     if (cased_name == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_get_cased_name failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_get_cased_name failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -4099,7 +4099,7 @@ static errno_t fill_name(struct sss_packet *packet,
     if (add_domain) {
         fq_name = sss_tc_fqname(tmp_ctx, dom->names, dom, cased_name);
         if (fq_name == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_asprintf failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_asprintf failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -4110,7 +4110,7 @@ static errno_t fill_name(struct sss_packet *packet,
 
     ret = sss_packet_grow(packet, name.len + 3 * sizeof(uint32_t));
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_packet_grow failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_packet_grow failed.\n");
         goto done;
     }
 
@@ -4144,13 +4144,13 @@ static errno_t fill_id(struct sss_packet *packet,
     }
 
     if (id == 0 || id >= UINT32_MAX) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid POSIX ID.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid POSIX ID.\n");
         return EINVAL;
     }
 
     ret = sss_packet_grow(packet, 4 * sizeof(uint32_t));
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_packet_grow failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_packet_grow failed.\n");
         return ret;
     }
 
@@ -4185,7 +4185,7 @@ static errno_t nss_cmd_getbysid_send_reply(struct nss_dom_ctx *dctx)
 
     ret = find_sss_id_type(dctx->res->msgs[0], dctx->domain->mpg, &id_type);
     if (ret != 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("find_sss_id_type failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "find_sss_id_type failed.\n");
         return ret;
     }
 
@@ -4204,7 +4204,7 @@ static errno_t nss_cmd_getbysid_send_reply(struct nss_dom_ctx *dctx)
         ret = fill_sid(cctx->creq->out, id_type, dctx->res->msgs[0]);
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unsupported request type.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unsupported request type.\n");
         return EINVAL;
     }
     if (ret != EOK) {
@@ -4232,7 +4232,7 @@ static int nss_cmd_getbysid(enum sss_cli_command cmd, struct cli_ctx *cctx)
     size_t bin_sid_length;
 
     if (cmd != SSS_NSS_GETNAMEBYSID && cmd != SSS_NSS_GETIDBYSID) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid command type [%d].\n", cmd));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid command type [%d].\n", cmd);
         return EINVAL;
     }
 
@@ -4268,18 +4268,18 @@ static int nss_cmd_getbysid(enum sss_cli_command cmd, struct cli_ctx *cctx)
                                    &bin_sid, &bin_sid_length);
     talloc_free(bin_sid);
     if (err != IDMAP_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_idmap_sid_to_bin_sid failed for [%s].\n",
-                                  body));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_idmap_sid_to_bin_sid failed for [%s].\n",
+                                  body);
         ret = EINVAL;
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Running command [%d] with SID [%s].\n",
-                               dctx->cmdctx->cmd, sid_str));
+    DEBUG(SSSDBG_TRACE_FUNC, "Running command [%d] with SID [%s].\n",
+                               dctx->cmdctx->cmd, sid_str);
 
     cmdctx->secid = talloc_strdup(cmdctx, sid_str);
     if (cmdctx->secid == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -4296,12 +4296,12 @@ static int nss_cmd_getbysid(enum sss_cli_command cmd, struct cli_ctx *cctx)
         }
         goto done;
     } else if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("responder_get_domain_by_id failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "responder_get_domain_by_id failed.\n");
         goto done;
     }
 
-    DEBUG(4, ("Requesting info for [%s] from [%s]\n",
-              cmdctx->secid, dctx->domain->name));
+    DEBUG(4, "Requesting info for [%s] from [%s]\n",
+              cmdctx->secid, dctx->domain->name);
 
     dctx->check_provider = NEED_CHECK_PROVIDER(dctx->domain->provider);
 
diff --git a/src/responder/nss/nsssrv_mmap_cache.c b/src/responder/nss/nsssrv_mmap_cache.c
index 8655a1a..cfc2fb1 100644
--- a/src/responder/nss/nsssrv_mmap_cache.c
+++ b/src/responder/nss/nsssrv_mmap_cache.c
@@ -133,20 +133,20 @@ static void  sss_mc_save_corrupted(struct sss_mc_ctx *mc_ctx)
 
     if (mc_ctx == NULL) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Cannot store uninitialized cache. Nothing to do.\n"));
+              "Cannot store uninitialized cache. Nothing to do.\n");
         return;
     }
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory.\n");
         return;
     }
 
     file = talloc_asprintf(tmp_ctx, "%s_%s",
                            mc_ctx->file, "corrupted");
     if (file == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory.\n");
         goto done;
     }
 
@@ -155,8 +155,8 @@ static void  sss_mc_save_corrupted(struct sss_mc_ctx *mc_ctx)
     if (fd == -1) {
         err = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to open file '%s' [%d]: %s\n",
-               file, err, strerror(err)));
+              "Failed to open file '%s' [%d]: %s\n",
+               file, err, strerror(err));
         goto done;
     }
 
@@ -165,11 +165,11 @@ static void  sss_mc_save_corrupted(struct sss_mc_ctx *mc_ctx)
         if (written == -1) {
             err = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("write() failed [%d]: %s\n", err, strerror(err)));
+                  "write() failed [%d]: %s\n", err, strerror(err));
         } else {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("write() returned %zd (expected (%zd))\n",
-                   written, mc_ctx->mmap_size));
+                  "write() returned %zd (expected (%zd))\n",
+                   written, mc_ctx->mmap_size);
         }
         goto done;
     }
@@ -184,8 +184,8 @@ done:
             if (err != 0) {
                 err = errno;
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Failed to remove file '%s': %s.\n", file,
-                       strerror(err)));
+                      "Failed to remove file '%s': %s.\n", file,
+                       strerror(err));
             }
         }
     }
@@ -474,7 +474,7 @@ static errno_t sss_mc_get_strs_offset(struct sss_mc_ctx *mcc,
         *_offset = offsetof(struct sss_mc_grp_data, strs);
         return EOK;
     default:
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Unknown memory cache type.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Unknown memory cache type.\n");
         return EINVAL;
     }
 }
@@ -491,7 +491,7 @@ static errno_t sss_mc_get_strs_len(struct sss_mc_ctx *mcc,
         *_len = ((struct sss_mc_grp_data *)&rec->data)->strs_len;
         return EOK;
     default:
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Unknown memory cache type.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Unknown memory cache type.\n");
         return EINVAL;
     }
 }
@@ -527,7 +527,7 @@ static struct sss_mc_rec *sss_mc_find_record(struct sss_mc_ctx *mcc,
     while (slot != MC_INVALID_VAL) {
         if (!MC_SLOT_WITHIN_BOUNDS(slot, mcc->dt_size)) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Corrupted fastcache. Slot number too big.\n"));
+                  "Corrupted fastcache. Slot number too big.\n");
             sss_mc_save_corrupted(mcc);
             sss_mmap_cache_reset(mcc);
             return NULL;
@@ -544,7 +544,7 @@ static struct sss_mc_rec *sss_mc_find_record(struct sss_mc_ctx *mcc,
             || (name_ptr + key->len) > (strs_offset + strs_len)
             || (uint8_t *)rec->data + strs_offset + strs_len > max_addr) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Corrupted fastcache. name_ptr value is %u.\n", name_ptr));
+                  "Corrupted fastcache. name_ptr value is %u.\n", name_ptr);
             sss_mc_save_corrupted(mcc);
             sss_mmap_cache_reset(mcc);
             return NULL;
@@ -600,7 +600,7 @@ static errno_t sss_mc_get_record(struct sss_mc_ctx **_mcc,
     if (ret != EOK) {
         if (ret == EFAULT) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Fatal internal mmap cache error, invalidating cache!\n"));
+                  "Fatal internal mmap cache error, invalidating cache!\n");
             (void)sss_mmap_cache_reinit(talloc_parent(mcc), -1, -1, _mcc);
         }
         return ret;
@@ -785,7 +785,7 @@ errno_t sss_mmap_cache_pw_invalidate_uid(struct sss_mc_ctx *mcc, uid_t uid)
 
     while (slot != MC_INVALID_VAL) {
         if (!MC_SLOT_WITHIN_BOUNDS(slot, mcc->dt_size)) {
-            DEBUG(SSSDBG_FATAL_FAILURE, ("Corrupted fastcache.\n"));
+            DEBUG(SSSDBG_FATAL_FAILURE, "Corrupted fastcache.\n");
             sss_mc_save_corrupted(mcc);
             sss_mmap_cache_reset(mcc);
             ret = ENOENT;
@@ -924,7 +924,7 @@ errno_t sss_mmap_cache_gr_invalidate_gid(struct sss_mc_ctx *mcc, gid_t gid)
 
     while (slot != MC_INVALID_VAL) {
         if (!MC_SLOT_WITHIN_BOUNDS(slot, mcc->dt_size)) {
-            DEBUG(SSSDBG_FATAL_FAILURE, ("Corrupted fastcache.\n"));
+            DEBUG(SSSDBG_FATAL_FAILURE, "Corrupted fastcache.\n");
             sss_mc_save_corrupted(mcc);
             sss_mmap_cache_reset(mcc);
             ret = ENOENT;
@@ -1011,29 +1011,29 @@ static errno_t sss_mc_create_file(struct sss_mc_ctx *mc_ctx)
         ret = sss_br_lock_file(ofd, 0, 1, retries, t);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Failed to lock file %s.\n", mc_ctx->file));
+                  "Failed to lock file %s.\n", mc_ctx->file);
         }
         ret = sss_mc_set_recycled(ofd);
         if (ret) {
-            DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to mark mmap file %s as"
+            DEBUG(SSSDBG_FATAL_FAILURE, "Failed to mark mmap file %s as"
                                          " recycled: %d(%s)\n",
-                                         mc_ctx->file, ret, strerror(ret)));
+                                         mc_ctx->file, ret, strerror(ret));
         }
 
         close(ofd);
     } else if (errno != ENOENT) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to open old memory cache file %s: %d(%s).\n",
-               mc_ctx->file, ret, strerror(ret)));
+              "Failed to open old memory cache file %s: %d(%s).\n",
+               mc_ctx->file, ret, strerror(ret));
     }
 
     errno = 0;
     ret = unlink(mc_ctx->file);
     if (ret == -1 && errno != ENOENT) {
         ret = errno;
-        DEBUG(SSSDBG_TRACE_FUNC, ("Failed to rm mmap file %s: %d(%s)\n",
-                                  mc_ctx->file, ret, strerror(ret)));
+        DEBUG(SSSDBG_TRACE_FUNC, "Failed to rm mmap file %s: %d(%s)\n",
+                                  mc_ctx->file, ret, strerror(ret));
     }
 
     /* temporarily relax umask as we need the file to be readable
@@ -1045,15 +1045,15 @@ static errno_t sss_mc_create_file(struct sss_mc_ctx *mc_ctx)
     umask(old_mask);
     if (mc_ctx->fd == -1) {
         ret = errno;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to open mmap file %s: %d(%s)\n",
-                                    mc_ctx->file, ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to open mmap file %s: %d(%s)\n",
+                                    mc_ctx->file, ret, strerror(ret));
         return ret;
     }
 
     ret = sss_br_lock_file(mc_ctx->fd, 0, 1, retries, t);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to lock file %s.\n", mc_ctx->file));
+              "Failed to lock file %s.\n", mc_ctx->file);
         close(mc_ctx->fd);
         mc_ctx->fd = -1;
 
@@ -1064,8 +1064,8 @@ static errno_t sss_mc_create_file(struct sss_mc_ctx *mc_ctx)
         uret = unlink(mc_ctx->file);
         if (uret == -1) {
             uret = errno;
-            DEBUG(SSSDBG_TRACE_FUNC, ("Failed to rm mmap file %s: %d(%s)\n",
-                                    mc_ctx->file, uret, strerror(uret)));
+            DEBUG(SSSDBG_TRACE_FUNC, "Failed to rm mmap file %s: %d(%s)\n",
+                                    mc_ctx->file, uret, strerror(uret));
         }
 
         return ret;
@@ -1111,8 +1111,8 @@ static int mc_ctx_destructor(struct sss_mc_ctx *mc_ctx)
         if (ret == -1) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Failed to unmap old memory cache file."
-                   "[%d]: %s\n", ret, strerror(ret)));
+                  "Failed to unmap old memory cache file."
+                   "[%d]: %s\n", ret, strerror(ret));
         }
     }
 
@@ -1121,8 +1121,8 @@ static int mc_ctx_destructor(struct sss_mc_ctx *mc_ctx)
         if (ret == -1) {
             ret = errno;
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Failed to close old memory cache file."
-                   "[%d]: %s\n", ret, strerror(ret)));
+                  "Failed to close old memory cache file."
+                   "[%d]: %s\n", ret, strerror(ret));
         }
     }
 
@@ -1199,8 +1199,8 @@ errno_t sss_mmap_cache_init(TALLOC_CTX *mem_ctx, const char *name,
     ret = ftruncate(mc_ctx->fd, mc_ctx->mmap_size);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to resize file %s: %d(%s)\n",
-                                    mc_ctx->file, ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to resize file %s: %d(%s)\n",
+                                    mc_ctx->file, ret, strerror(ret));
         goto done;
     }
 
@@ -1209,9 +1209,9 @@ errno_t sss_mmap_cache_init(TALLOC_CTX *mem_ctx, const char *name,
                              MAP_SHARED, mc_ctx->fd, 0);
     if (mc_ctx->mmap_base == MAP_FAILED) {
         ret = errno;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to mmap file %s(%zu): %d(%s)\n",
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to mmap file %s(%zu): %d(%s)\n",
                                     mc_ctx->file, mc_ctx->mmap_size,
-                                    ret, strerror(ret)));
+                                    ret, strerror(ret));
         goto done;
     }
 
@@ -1242,8 +1242,8 @@ done:
             dret = unlink(mc_ctx->file);
             if (dret == -1) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Failed to rm mmap file %s: %d(%s)\n", mc_ctx->file,
-                       dret, strerror(dret)));
+                      "Failed to rm mmap file %s: %d(%s)\n", mc_ctx->file,
+                       dret, strerror(dret));
             }
         }
 
@@ -1264,19 +1264,19 @@ errno_t sss_mmap_cache_reinit(TALLOC_CTX *mem_ctx, size_t n_elem,
 
     if (mc_ctx == NULL || (*mc_ctx) == NULL) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Unable to re-init unitialized memory cache.\n"));
+              "Unable to re-init unitialized memory cache.\n");
         return EINVAL;
     }
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory.\n");
         return ENOMEM;
     }
 
     name = talloc_strdup(tmp_ctx, (*mc_ctx)->name);
     if (name == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -1298,7 +1298,7 @@ errno_t sss_mmap_cache_reinit(TALLOC_CTX *mem_ctx, size_t n_elem,
 
     ret = sss_mmap_cache_init(mem_ctx, name, type, n_elem, timeout, mc_ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to re-initialize mmap cache.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to re-initialize mmap cache.\n");
         goto done;
     }
 
@@ -1313,7 +1313,7 @@ void sss_mmap_cache_reset(struct sss_mc_ctx *mc_ctx)
 {
     if (mc_ctx == NULL) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Fastcache not initialized. Nothing to do.\n"));
+              "Fastcache not initialized. Nothing to do.\n");
         return;
     }
 
